# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_Shape1 Class Reference

The PTopoDS_Shape1 is the Persistent view of a TopoDS_Shape.
a Shape1 contains :
- a reference to a TShape1.
- a Location to put the TShape1 in a local coordinate
system.
- an Orientation.
It inherits from ExternShareable, so that it can be shared
by other objects located outside the container.
.

`#include <PTopoDS_Shape1.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTopoDS_Shape1 ()
Standard_EXPORT void | Nullify ()
Standard_EXPORT const Handle_PTopoDS_TShape1 & | TShape () const
Standard_EXPORT void | TShape (const Handle(PTopoDS_TShape1)&T)
Standard_EXPORT PTopLoc_Location | Location () const
Standard_EXPORT void | Location (const PTopLoc_Location &L)
Standard_EXPORT TopAbs_Orientation | Orientation () const
Standard_EXPORT void | Orientation (const TopAbs_Orientation O)
| Handle (PTopoDS_TShape1) _CSFDB_GetPTopoDS_Shape1myTShape() const
void | _CSFDB_SetPTopoDS_Shape1myTShape (const Handle(PTopoDS_TShape1)&p)
const PTopLoc_Location & | _CSFDB_GetPTopoDS_Shape1myLocation () const
TopAbs_Orientation | _CSFDB_GetPTopoDS_Shape1myOrient () const
void | _CSFDB_SetPTopoDS_Shape1myOrient (const TopAbs_Orientation p)

## Private Attributes

Handle_PTopoDS_TShape1 | myTShape
PTopLoc_Location | myLocation
TopAbs_Orientation | myOrient

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PTopoDS_Shape1_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_Shape1::PTopoDS_Shape1 | ( |  | ) |

## Member Function Documentation

const PTopLoc_Location& PTopoDS_Shape1::_CSFDB_GetPTopoDS_Shape1myLocation | ( |  | ) | const`[inline]`

TopAbs_Orientation PTopoDS_Shape1::_CSFDB_GetPTopoDS_Shape1myOrient | ( |  | ) | const`[inline]`

void PTopoDS_Shape1::_CSFDB_SetPTopoDS_Shape1myOrient | ( | const TopAbs_Orientation | p | ) | `[inline]`

void PTopoDS_Shape1::_CSFDB_SetPTopoDS_Shape1myTShape | ( | const Handle(PTopoDS_TShape1)& | p | ) | `[inline]`

PTopoDS_Shape1::Handle | ( | PTopoDS_TShape1 |  | ) | const`[inline]`

Standard_EXPORT void PTopoDS_Shape1::Location | ( | const PTopLoc_Location & | L | ) |

Standard_EXPORT PTopLoc_Location PTopoDS_Shape1::Location | ( |  | ) | const

Standard_EXPORT void PTopoDS_Shape1::Nullify | ( |  | ) |

void PTopoDS_Shape1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTopoDS_Shape1::operator new | ( | size_t | size | ) | `[inline]`

void* PTopoDS_Shape1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void PTopoDS_Shape1::Orientation | ( | const TopAbs_Orientation | O | ) |

Standard_EXPORT TopAbs_Orientation PTopoDS_Shape1::Orientation | ( |  | ) | const

Standard_EXPORT void PTopoDS_Shape1::TShape | ( | const Handle(PTopoDS_TShape1)& | T | ) |

Standard_EXPORT const Handle_PTopoDS_TShape1& PTopoDS_Shape1::TShape | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PTopoDS_Shape1_Type_ | ( |  | ) | `[friend]`

## Field Documentation

PTopLoc_Location PTopoDS_Shape1::myLocation `[private]`

TopAbs_Orientation PTopoDS_Shape1::myOrient `[private]`

Handle_PTopoDS_TShape1 PTopoDS_Shape1::myTShape `[private]`

The documentation for this class was generated from the following file:

- PTopoDS_Shape1.hxx